<?php
include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");

class MemoriseClient extends PluginsClassiques
{
	function __construct()
	{
		parent::__construct();	
	}

	function apresconnexion()
	{
		$memo_inscription = lireParam('memo_inscription');
		if($memo_inscription=='on')
			setcookie("memorise_inscription", $_SESSION['navig']->client->ref, time() + 7776000, null, null, false, true); //memorise 90jours
		else
			setcookie("memorise_inscription");
	}
	
	function apresdeconnexion()
	{
		if(!empty($_COOKIE['memorise_inscription']))
			setcookie("memorise_inscription");
	}
	
	function predemarrage()
	{
		if(!$_SESSION['navig']->connecte && !empty($_COOKIE['memorise_inscription']))
		{
			$client = new Client();
			if($client->charger_ref($_COOKIE['memorise_inscription']))
			{
				$_SESSION['navig']->client = $client;
				$_SESSION['navig']->connecte = 1;
				ActionsModules::instance()->appel_module("apresconnexion", $client);
			}
		}
	}
}
?>
